Bug 215536 - Xen0 can not startX in tiger4
Xen0 can not startX in tiger4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Keiichiro Tokunaga
Martin Jenner
: OtherQA
Depends On:
Blocks: 243319 222399 227613 233456
  Show dependency treegraph
 
Reported: 2006-11-14 11:01 EST by Chris Lalancette
Modified: 2013-07-03 09:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:15:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bugfix from Fujitsu for Xwindows problem (7.42 KB, patch)
2006-11-16 13:09 EST, Chris Lalancette
no flags Details | Diff
xwindow patch for xen/ia64 (10.36 KB, patch)
2006-12-06 01:35 EST, Akio Takebe
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-14 11:01:01 EST
Description of problem:
From intel:
----------------------------------------------------
This issue stays for a long time. After RHEL5 installation finished, system will
go into "init 5" automatically. But Xen0 can not startX in Tiger4 at present.
Then Tiger4's local terminal can not display correctly. And user can not operate
the local terminal.
Xen0's serial port will keep printing:
(XEN) lookup_domain_mpa: bad mpa 0xfbfd0738 (=> 0x20000000)
(XEN) Warning: UC to WB for mpaddr=fbfd0738
(XEN) lookup_domain_mpa: d 0xf000000007d18080 id 0 current 0xf000000007cf0000 id
0
(XEN) lookup_domain_mpa: bad mpa 0xfbfd0738 (=> 0x20000000)
(XEN) Warning: UC to WB for mpaddr=fbfd0738
(XEN) lookup_domain_mpa: d 0xf000000007d18080 id 0 current 0xf000000007cf0000 id
0
(XEN) lookup_domain_mpa: bad mpa 0xfbfd0738 (=> 0x20000000)
(XEN) Warning: UC to WB for mpaddr=fbfd0738
------------------------------------------------------------

I'm waiting for them to get me versions of the kernel and xen; I will add them
when I have them.
Comment 1 Chris Lalancette 2006-11-16 11:45:35 EST
Intel reports that this is still a problem in Milestone 9 (which is not
surprising, but I thought I would mention it).

Chris Lalancette
Comment 2 Chris Lalancette 2006-11-16 13:09:45 EST
Created attachment 141392 [details]
Bugfix from Fujitsu for Xwindows problem
Comment 3 RHEL Product and Program Management 2006-11-17 11:00:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Jay Turner 2006-11-22 08:49:05 EST
QE ack for RHEL5.
Comment 5 Akio Takebe 2006-12-06 01:35:27 EST
Created attachment 142918 [details]
xwindow patch for xen/ia64

I remake the same xwindow patch as patches of xen-devel community. 
This is for 2.6.18-1.2747.el5.agriffis4.

[FYI]
- [LINUX] Make xen /dev/mem aware of IA64 to use X.
    http://xenbits.xensource.com/xen-unstable.hg?cs=395aa5609e6d
- [IA64] paraviatualize /dev/mem to enable X.
    http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?cs=e5e6893ec699
- [LINUX] dev/mem: Rename Xen's mmap_mem to xen_mmap_mem to
    http://xenbits.xensource.com/xen-unstable.hg?cs=b334f479853e

Best Regards,

Akio Takebe
Comment 9 RHEL Product and Program Management 2007-03-21 15:07:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Masahiro Matsuya 2007-04-03 11:23:17 EDT
Created attachment 151574 [details]
fix_valid_phys_addr_range.patch
Comment 11 Masahiro Matsuya 2007-04-03 11:26:21 EDT
Created attachment 151575 [details]
linux-2.6-paravirtualize_pci_mmap.patch
Comment 12 Issue Tracker 2007-04-03 11:27:33 EDT
From Fujitsu:
-------------------------------------
The previous xen_xwindow.patch has a bug.

We need the following patch.
http://lists.xensource.com/archives/html/xen-changelog/2007-03/msg00169.html

Also, please apply the following patch.
http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?rev/5abf33a383cf


This event sent from IssueTracker by mmatsuya 
 issue 106986
Comment 16 Don Zickus 2007-06-27 12:00:19 EDT
in 2.6.18-32.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 17 Issue Tracker 2007-07-05 20:50:16 EDT
Internal Status set to 'Resolved'
Status set to: Closed by Client

This event sent from IssueTracker by yongkang.you 
 issue 106636
Comment 19 Red Hat Bugzilla 2007-07-24 21:23:13 EDT
change QA contact
Comment 20 Mike Gahagan 2007-08-03 11:27:37 EDT
Verified by partner on 7-5 using the -32 kernel.
Comment 24 errata-xmlrpc 2007-11-07 14:15:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.